PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER TRIGGER

## Name

ALTER TRIGGER -- change the definition of a trigger

## Synopsis

    ALTER TRIGGER name ON table RENAME TO newname

## Description

`ALTER TRIGGER` changes properties of an existing trigger. The RENAME clause changes the name of the given trigger without otherwise changing the trigger definition.

You must own the table on which the trigger acts to be allowed to change its properties.

## Parameters

name

  The name of an existing trigger to alter.

table

  The name of the table on which this trigger acts.

newname

  The new name for the trigger.

## Examples

To rename an existing trigger:

    ALTER TRIGGER emp_stamp ON emp RENAME TO emp_track_chgs;

## Compatibility

`ALTER TRIGGER` is a PostgreSQL extension of the SQL standard.

Prev | Home | Next
ALTER TABLE | Up | ALTER USER